Scientific Linux Forum.org



  Reply to this topicStart new topicStart Poll

> Issue with latest qemu-* updates 9/5/12
AndrewSerk
 Posted: Sep 6 2012, 03:52 PM
Quote Post


SLF Moderator
*****

Group: Moderators
Posts: 457
Member No.: 54
Joined: 14-April 11









I am experiencing issues with the latest qemu-* /usbredir updates.
I have found that for VMs running at runlevel 5, that they crash/poweroff at the login screen. This is not the case for VMs running at runlevel 3. I did a "yum history undo #" on the qemu-*/usbredir updates and the issue stopped.

Anyone else experiencing these issues or is this a local issue?

Thanks in advance,

Andrew
PM
^
joka
 Posted: Sep 6 2012, 04:43 PM
Quote Post


SLF Geek
****

Group: Members
Posts: 172
Member No.: 107
Joined: 28-April 11









Today I got an update of qemu-img and qemu-kvm:
CODE
---> Package qemu-img.x86_64 2:0.12.1.2-2.295.el6_3.1 will be updated
---> Package qemu-img.x86_64 2:0.12.1.2-2.295.el6_3.2 will be an update
---> Package qemu-kvm.x86_64 2:0.12.1.2-2.295.el6_3.1 will be updated
---> Package qemu-kvm.x86_64 2:0.12.1.2-2.295.el6_3.2 will be an update

But I don't understand what you mean with /usbredir updates?
Latest changelog is:
CODE
* Mo Sep 03 2012 Michal Novotny <minovotn@redhat.com> - qemu-kvm-0.12.1.2-2.295.el6_3.2
- kvm-console-bounds-check-whenever-changing-the-cursor-du.patch [bz#851257
- Resolves: bz#851257
 (EMBARGOED CVE-2012-3515 qemu/kvm: VT100 emulation vulnerability [rhel-6.3.z])

I have 3 of my VMs checked after update, all of them are booting to graphical login screen and login is also possible: Guest OSs are: CentOS6.3, Fedora 11 and CentOS 5.8.
PM
^
AndrewSerk
 Posted: Sep 6 2012, 05:32 PM
Quote Post


SLF Moderator
*****

Group: Moderators
Posts: 457
Member No.: 54
Joined: 14-April 11









Thanks for the response Joka,

I got these updates today:
CODE
Packages Altered:
   Updated     qemu-img-2:0.12.1.2-2.209.el6_2.4.x86_64       @sl-security
   Update               2:0.12.1.2-2.295.el6_3.2.x86_64       @sl-security
   Updated     qemu-kvm-2:0.12.1.2-2.209.el6_2.4.x86_64       @sl-security
   Update               2:0.12.1.2-2.295.el6_3.2.x86_64       @sl-security
   Updated     qemu-kvm-tools-2:0.12.1.2-2.209.el6_2.4.x86_64 @sl-security
   Update                     2:0.12.1.2-2.295.el6_3.2.x86_64 @sl-security
   Dep-Install usbredir-0.4.3-1.el6.x86_64                    @sl-security


The usbredir may have something to do with spice-server.
It is quite possible this is just a local issue since I do have some non-stock packages installed.

Everything was fine after the update until I started a domain that was not already running. Now with the updates every domain with a GUI crashes at the login screen. When I remove the updates I have no issues.

I will have to dig deeper.

Thanks again,

Andrew
PM
^
toracat
 Posted: Sep 7 2012, 03:02 PM
Quote Post


SLF Geek
****

Group: Members
Posts: 303
Member No.: 11
Joined: 10-April 11









I updated my SL6 kvm host and experienced a similar crash of a guest. I have yet to find out what element is involved. The one that crashed is using spice. I was able to ssh into it and the guest eventually "came back" partially (some mouse movement was possible).

Will look into it in more details.

--------------------
ELRepo: repository specializing in hardware support for EL
PMUsers Website
^
AndrewSerk
 Posted: Sep 7 2012, 05:26 PM
Quote Post


SLF Moderator
*****

Group: Moderators
Posts: 457
Member No.: 54
Joined: 14-April 11









Thanks for the post toracat,

Glad to hear it is not just a local issue. The VMs I am having issue with are also using spice. I haven't had much time to research the issue yet but hope to have some time for it Saturday or Sunday. I will post any info I find.

Thanks again,

Andrew
PM
^
toracat
 Posted: Sep 7 2012, 05:45 PM
Quote Post


SLF Geek
****

Group: Members
Posts: 303
Member No.: 11
Joined: 10-April 11









If the problem is "common", I would expect to see a bug report upstream. So far, I have been unable to find something that looks similar...

--------------------
ELRepo: repository specializing in hardware support for EL
PMUsers Website
^
AndrewSerk
 Posted: Sep 8 2012, 05:17 PM
Quote Post


SLF Moderator
*****

Group: Moderators
Posts: 457
Member No.: 54
Joined: 14-April 11









QUOTE (toracat @ Sep 7 2012, 12:45 PM)
If the problem is "common", I would expect to see a bug report upstream. So far, I have been unable to find something that looks similar...


Thanks,
Yes I have been looking also, to no avail.
Time to start debugging. dry.gif
PM
^
toracat
 Posted: Sep 9 2012, 05:47 PM
Quote Post


SLF Geek
****

Group: Members
Posts: 303
Member No.: 11
Joined: 10-April 11









I tested with a RHEL 6.3 host and can now confirm that the issue exists there as well. A somewhat similar (but not the same) problem was filed for Fedora :

https://bugzilla.redhat.com/show_bug.cgi?id=696643

but no useful development.

Andrew, I have a question for you. When you did a yum undo, which packages did you downgrade? I have so far tried qemu-kvm and qemu-img, but sowngrading them did not solve the issue.

--------------------
ELRepo: repository specializing in hardware support for EL
PMUsers Website
^
toracat
 Posted: Sep 9 2012, 06:23 PM
Quote Post


SLF Geek
****

Group: Members
Posts: 303
Member No.: 11
Joined: 10-April 11









I did a yum undo but the guest still crashes. I have these packages.

$ rpm -qa |egrep "spice|qemu|kvm|libvirt" | sort

cairo-spice-1.8.7.1-4.el6.x86_64
ffmpeg-spice-libs-0.4.9-0.15.5spice.20080908.el6.x86_64
gpxe-roms-qemu-0.9.7-6.9.el6.noarch
libvirt-0.9.10-21.el6_3.3.x86_64
libvirt-client-0.9.10-21.el6_3.3.x86_64
libvirt-python-0.9.10-21.el6_3.3.x86_64
pixman-spice-0.13.3-5.el6.x86_64
qemu-img-0.12.1.2-2.295.el6_3.1.x86_64
qemu-kvm-0.12.1.2-2.295.el6_3.1.x86_64
spice-client-0.8.2-15.el6.x86_64
spice-glib-0.11-11.el6.x86_64
spice-gtk-0.11-11.el6.x86_64
spice-gtk-python-0.11-11.el6.x86_64
spice-gtk-tools-0.11-11.el6.x86_64
spice-protocol-0.10.1-5.el6.noarch
spice-server-0.10.1-10.el6.x86_64
spice-vdagent-0.8.1-3.el6.x86_64
spice-xpi-2.7-20.el6.x86_64

What is your output from the system that does not show the issue?

[EDIT] forgot to add this: usbredir-0.4.3-1.el6.x86_64

--------------------
ELRepo: repository specializing in hardware support for EL
PMUsers Website
^
joka
 Posted: Sep 9 2012, 09:31 PM
Quote Post


SLF Geek
****

Group: Members
Posts: 172
Member No.: 107
Joined: 28-April 11









Now I can confirm the same spice issue on my machine - after installing a spice display for my CentOS 6 guest according to http://wiki.centos.org/HowTos/Spice-libvirt

I have the same package versions installed as torocat (with latest patch), only one additional: ngspice-23-1.el6.x86_64

Changing back the display type to "VNC Server" and graphics card to "cirrus" (instead of "qxl") rectifies the problem for me.
PM
^
toracat
 Posted: Sep 9 2012, 09:43 PM
Quote Post


SLF Geek
****

Group: Members
Posts: 303
Member No.: 11
Joined: 10-April 11









joka,

Thanks for testing and reporting back with your result. I'm "glad" to learn this is not an isolated case.

I further confirm that the problem occurs with an RHEL 6.3 guest running on an RHEL 6.3 host. Almost ready to file a bugzilla report upstream. Just collecting some more info (log etc).

--------------------
ELRepo: repository specializing in hardware support for EL
PMUsers Website
^
AndrewSerk
 Posted: Sep 10 2012, 01:50 PM
Quote Post


SLF Moderator
*****

Group: Moderators
Posts: 457
Member No.: 54
Joined: 14-April 11









Hi guys,

These are the packages I downgraded to get things working again:
CODE
Packages Altered:
   Downgrade  qemu-img-2:0.12.1.2-2.209.el6_2.4.x86_64       @sl-security
   Downgraded          2:0.12.1.2-2.295.el6_3.2.x86_64       @sl-security
   Downgrade  qemu-kvm-2:0.12.1.2-2.209.el6_2.4.x86_64       @sl-security
   Downgraded          2:0.12.1.2-2.295.el6_3.2.x86_64       @sl-security
   Downgrade  qemu-kvm-tools-2:0.12.1.2-2.209.el6_2.4.x86_64 @sl-security
   Downgraded                2:0.12.1.2-2.295.el6_3.2.x86_64 @sl-security
   Erase      usbredir-0.4.3-1.el6.x86_64                    @sl-security



Here is the package list you asked for toracat:
CODE
$ rpm -qa |egrep "spice|qemu|kvm|libvirt|usbredir" | sort
ffmpeg-spice-libs-0.4.9-0.15.5spice.20080908.el6.x86_64
gpxe-roms-qemu-0.9.7-6.9.el6.noarch
libvirt-0.9.10-21.el6_3.4.x86_64
libvirt-client-0.9.10-21.el6_3.4.x86_64
libvirt-python-0.9.10-21.el6_3.4.x86_64
pixman-spice-0.13.3-5.el6.x86_64
qemu-img-0.12.1.2-2.209.el6_2.4.x86_64
qemu-kvm-0.12.1.2-2.209.el6_2.4.x86_64
qemu-kvm-debuginfo-0.12.1.2-2.295.el6_3.2.x86_64
qemu-kvm-tools-0.12.1.2-2.209.el6_2.4.x86_64
spice-client-0.8.2-7.el6.x86_64
spice-glib-0.6-2.el6.x86_64
spice-gtk-0.6-2.el6.x86_64
spice-gtk-python-0.6-2.el6.x86_64
spice-gtk-tools-0.6-2.el6.x86_64
spice-protocol-0.8.1-2.el6.noarch
spice-server-0.8.2-5.el6.x86_64
spice-server-devel-0.8.2-5.el6.x86_64
spice-vdagent-0.8.1-3.el6.x86_64


I haven't got around to running any debugging packages yet.

If you submit a bug report please post a link to it here so I can follow.

Thanks again,

Andrew

EDIT: for more info:
CODE
$ cat /etc/redhat-release
Scientific Linux release 6.2 (Carbon)
$ uname -r
3.5.3



This post has been edited by AndrewSerk: Sep 10 2012, 02:01 PM
PM
^
toracat
 Posted: Sep 10 2012, 03:09 PM
Quote Post


SLF Geek
****

Group: Members
Posts: 303
Member No.: 11
Joined: 10-April 11









QUOTE (AndrewSerk @ Sep 10 2012, 05:50 AM)


If you submit a bug report please post a link to it here so I can follow.


Sure will. Once done, I'd like you to post your note there.

--------------------
ELRepo: repository specializing in hardware support for EL
PMUsers Website
^
AndrewSerk
 Posted: Sep 10 2012, 03:19 PM
Quote Post


SLF Moderator
*****

Group: Moderators
Posts: 457
Member No.: 54
Joined: 14-April 11









QUOTE (toracat @ Sep 10 2012, 10:09 AM)
QUOTE (AndrewSerk @ Sep 10 2012, 05:50 AM)


If you submit a bug report please post a link to it here so I can follow.


Sure will. Once done, I'd like you to post your note there.

With pleasure
PM
^
toracat
 Posted: Sep 10 2012, 03:36 PM
Quote Post


SLF Geek
****

Group: Members
Posts: 303
Member No.: 11
Joined: 10-April 11









Just in case it matters, I'd add this package to the list:

xorg-x11-drv-qxl-0.0.14-13.el6_2.x86_64

--------------------
ELRepo: repository specializing in hardware support for EL
PMUsers Website
^
AndrewSerk
 Posted: Sep 10 2012, 03:50 PM
Quote Post


SLF Moderator
*****

Group: Moderators
Posts: 457
Member No.: 54
Joined: 14-April 11









Good call.

CODE
$ rpm -q xorg-x11-drv-qxl
xorg-x11-drv-qxl-0.0.14-13.el6_2.x86_64

PM
^
dumdan
 Posted: Sep 10 2012, 04:29 PM
Quote Post


SLF Newbie


Group: Members
Posts: 2
Member No.: 1837
Joined: 10-September 12









Sorry, this comes somewhat late - I was busy trying to determine what broke every VM that was using "spice/qxl".

I have a feeling this is... relevant:
CODE

Sep  8 01:17:43 gaia kernel: qemu-kvm[3383]: segfault at 50 ip 00007f010f6a7225 sp 00007f0107a3ba70 error 4 in libspice-server.so.1.0.2[7f010f673000+e2000]


Daniel
PM
^
toracat
 Posted: Sep 11 2012, 05:17 AM
Quote Post


SLF Geek
****

Group: Members
Posts: 303
Member No.: 11
Joined: 10-April 11










--------------------
ELRepo: repository specializing in hardware support for EL
PMUsers Website
^
redman
 Posted: Sep 11 2012, 10:58 AM
Quote Post


Retired SLF Administrator
********

Group: Admins
Posts: 1276
Member No.: 2
Joined: 8-April 11









Any upstream bugreport is always +1 http://th166.photobucket.com/albums/u117/rdshear/Smiley%20Faces/th_smiley-face-thumbs-up.gif

--------------------
"Sometimes the best helping hand you can give is a good, firm push."
PM
^
AndrewSerk
 Posted: Sep 12 2012, 03:46 AM
Quote Post


SLF Moderator
*****

Group: Moderators
Posts: 457
Member No.: 54
Joined: 14-April 11









I added to the bugreport.

QUOTE (dumdan @ Sep 10 2012, 11:29 AM)

I have a feeling this is... relevant:
CODE

Sep  8 01:17:43 gaia kernel: qemu-kvm[3383]: segfault at 50 ip 00007f010f6a7225 sp 00007f0107a3ba70 error 4 in libspice-server.so.1.0.2[7f010f673000+e2000]


I think you are right. wink.gif
PM
^
dumdan
 Posted: Sep 16 2012, 05:32 AM
Quote Post


SLF Newbie


Group: Members
Posts: 2
Member No.: 1837
Joined: 10-September 12









IMPORTANT
...and don't forget (like I did) to set
CODE

ENABLED="false"


in /etc/sysconfig/yum-autoupdate

Or, at least, add qemu-img, qemu-kvm and qemu-kvm-tools to the "exclude" list.

(does anyone still think installing "yum-autoupdate" in "enabled" mode was a good idea ?)

Daniel
PM
^
AndrewSerk
 Posted: Sep 17 2012, 04:29 PM
Quote Post


SLF Moderator
*****

Group: Moderators
Posts: 457
Member No.: 54
Joined: 14-April 11









I upgraded my host from 6.2 to 6.3 and now the crashes are gone. There is still a issue when using virt-manager that causes guests to temporarily freeze when using spice and virt-manager but using virsh and spice client has no issues here.

Hope this helps,
PM
^
1 User(s) are reading this topic (1 Guests and 0 Anonymous Users)
0 Members:

Topic Options Reply to this topicStart new topicStart Poll